Skip to content

Create Skill

POST
/api/skills

Create a new skill — writes a markdown file to the project’s skills/ directory.

SkillCreateRequest

Request to create a new skill.

object
name
required
Name

Skill name (used as filename)

string
description
required
Description

Skill description

string
content
required
Content

Skill prompt content (markdown)

string
agent
Any of:
string
tags
Tags

Skill tags

Array<string>

Successful Response

SkillCreateResponse

Response after creating a skill.

object
name
required
Name

Created skill name

string
filePath
required
Filepath

File path created

string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object